com.elastisys.scale.cloudpool.api.server

## Class CloudPoolOptions

- java.lang.Object
- - com.elastisys.scale.commons.cli.server.BaseServerCliOptions
  - - com.elastisys.scale.cloudpool.api.server.CloudPoolOptions

All Implemented Interfaces:
  com.elastisys.scale.commons.cli.CommandLineOptions

    public class CloudPoolOptions
    extends com.elastisys.scale.commons.cli.server.BaseServerCliOptions

Captures (command-line) options accepted by a `CloudPoolServer`.

### Field Summary

Fields
`String` `config`
`static String` `DEFAULT_STORAGE_DIR` The default directory where the `CloudPool` will store its runtime state.
`boolean` `enableExitHandler`
`boolean` `stopped`
`String` `storageDir`

### Fields inherited from class com.elastisys.scale.commons.cli.server.BaseServerCliOptions

`help, httpPort, httpsPort, positionalArgs, realmFile, requireBasicAuth, requireClientCert, requireRole, sslKeyStore, sslKeyStorePassword, sslTrustStore, sslTrustStorePassword, version`

### Constructor Summary

Constructors
Constructor and Description
`CloudPoolOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getVersion()`
`String` `toString()`

### Methods inherited from class com.elastisys.scale.commons.cli.server.BaseServerCliOptions

`isHelpFlagSet, isVersionFlagSet, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_STORAGE_DIR

    public static final String DEFAULT_STORAGE_DIR

The default directory where the `CloudPool` will store its runtime state.

See Also:
  Constant Field Values

#### config

    public String config

#### storageDir

    public String storageDir

#### stopped

    public boolean stopped

#### enableExitHandler

    public boolean enableExitHandler

### Constructor Detail

#### CloudPoolOptions

    public CloudPoolOptions()

### Method Detail

#### getVersion

    public String getVersion()

Specified by:
  `getVersion` in interface `com.elastisys.scale.commons.cli.CommandLineOptions`
Specified by:
  `getVersion` in class `com.elastisys.scale.commons.cli.server.BaseServerCliOptions`

#### toString

    public String toString()

Overrides:
  `toString` in class `com.elastisys.scale.commons.cli.server.BaseServerCliOptions`